=== debian/changelog ===
ntopng (3.8+dfsg1-2.1build3) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 13 Aug 2019 03:10:48 +0000

ntopng (3.8+dfsg1-2.1build2) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:59:41 +0200

ntopng (3.8+dfsg1-2.1build1) disco; urgency=medium

  * No-change rebuild against mysql 5.7, reverting the deferred mysql-
    8.0 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Feb 2019 10:47:32 -0800

ntopng (3.8+dfsg1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add build-depends on libssl-dev (Closes: 920648)

 -- Peter Michael Green <plugwash@debian.org>  Mon, 04 Feb 2019 01:10:39 +0000

ntopng (3.8+dfsg1-2) unstable; urgency=medium

  * Fix missing space in postinst migration script (Closes: #920281).
  * Delete ntopng user, group, /var/lib/ntopng, /var/log/ntopng during purge.
  * Set appropriate permissions for /var/log/ntopng.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 26 Jan 2019 00:36:22 -0800

ntopng (3.8+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.8+dfsg1 (Closes: #919907, #910859, #903154,
    #887318, CVE-2018-12520).
  * Drop get-orig-source target in favor of Files-Excluded in the copyright
    file.
  * Remove third-party/lua-5.* as we build against the system one.
  * Build-Depend against liblua5.3-dev.
  * Update copyright information.
  * Refresh patches and remove internal-luajit.patch (no longer applicable).
  * Update Build-Depend against libndpi-dev >= 2.6
  * Build-depend on libmaxminddb-dev.
  * Add use-system-lua.patch to use system liblua insetad of the embedded one.
  * Bump Build-Dep on debhelper >= 10.8 to support the --doc-main-package
    option of dh_installdocs.
  * Migrate datadir from /var/tmp/ntopng to /var/lib/ntopng in postinst.
  * Use system libjs-html5shiv, libjs-jquery, and libjs-jquery-ui.
  * Make ntopng-utils-manage-config executable (needed for the web UI to be
    able to backup/restore the configuration).
  * Change systemd Restart to on-abnormal.
  * Update the list of README to install as docs.
  * Generate html documentation and register it with doc-base. Split
    documentation into ntopng-doc package.
  * Update Vcs headers to point to salsa.debian.org.
  * Remove httpdocs/geoip/README as recommended by lintian.
  * Bump Standards-Version to 4.3.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 21 Jan 2019 17:46:18 -0800
