=== debian/control ===
Source: ntopng
Section: net
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: autoconf,
               automake,
               coffeescript,
               debhelper (>= 10.8~),
               default-libmysqlclient-dev,
               doxygen,
               dpkg (>= 1.15.7.2),
               libcap-dev,
               libcurl4-gnutls-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjson-c-dev,
               liblua5.3-dev,
               libmaxminddb-dev,
               libndpi-dev (>= 2.6),
               libpcap-dev,
               librrd-dev,
               libsqlite3-dev,
               libzmq3-dev,
               node-source-map,
               node-uglify,
               pkg-config,
               python3-breathe,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               libssl-dev,
Standards-Version: 4.3.0
Homepage: http://www.ntop.org/products/ntop/
Vcs-Git: https://salsa.debian.org/debian/ntopng.git
Vcs-Browser: https://salsa.debian.org/debian/ntopng

Package: ntopng
Architecture: any
Depends:
    adduser,
    ${misc:Depends},
    ${shlibs:Depends},
    lsb-base (>= 3.0-6),
    ntopng-data (= ${source:Version}),
    redis-server (>= 2.6),
Suggests: geoip-database-contrib (>= 1.12)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 What ntopng can do:
  * Sort network traffic according to many protocols
  * Show network traffic and IPv4/v6 active hosts
  * Store on disk persistent traffic statistics in RRD format
  * Geolocate hosts
  * Discover application protocols by leveraging on nDPI, ntop’s DPI
    framework
  * Characterise HTTP traffic by leveraging on characterisation services
    provided by block.si. ntopng comes with a demo characterisation key, but if
    you need a permanent one, please mail info@block.si
  * Show IP traffic distribution among the various protocols
  * Analyse IP traffic and sort it according to the source/destination
  * Display IP Traffic Subnet matrix (who’s talking to who?)
  * Report IP protocol usage sorted by protocol type
  * Act as a NetFlow/sFlow collector for flows generated by routers (e.g.
    Cisco and Juniper) or switches (e.g. Foundry Networks) when used together
    with nProbe
  * Produce HTML5/AJAX network traffic statistics

Package: ntopng-data
Architecture: all
Multi-Arch: foreign
Depends: fonts-font-awesome,
         libjs-bootstrap,
         libjs-html5shiv,
         libjs-jquery,
         libjs-jquery-form,
         libjs-jquery-tablesorter,
         libjs-jquery-ui,
         libjs-rickshaw,
         libwireshark-data,
         ${misc:Depends},
Recommends: ntopng (= ${binary:Version})
Breaks: ntopng (<< 3.2)
Replaces: ntopng (<< 3.2)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the architecture independent files for the ntopng
 daemon.

Package: ntopng-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
    libjs-jquery,
    libjs-underscore,
    sphinx-rtd-theme-common,
    ${misc:Depends},
Recommends: ntopng (= ${binary:Version})
Breaks: ntopng-data (<< 3.8)
Replaces: ntopng-data (<< 3.8)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (documentation)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the documentation for the ntopng daemon.
