## ntopng 3.8.1+dfsg1

=== debian/changelog ===
ntopng (3.8.1+dfsg1-1build2) groovy; urgency=medium

  * Rebuild against new libjson-c5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 11:56:07 +0200

ntopng (3.8.1+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:38:11 +0100

ntopng (3.8.1+dfsg1-1) unstable; urgency=medium

  [ Ludovico Cavedon ]
  * New upstream version 3.8.1+dfsg1
  * Bump build-dependency on libndpi >= 3.0
  * Move calls to dpkg-maintscript-helper to ntopng.maintscript
  * Update Standards-Version to 4.4.1

  [ Faidon Liambotis ]
  * Remove spurious dependency on libgeoip-dev

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 25 Dec 2019 00:02:10 +0100
