=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
                dpkg (>= 1.15.7.2),
                libcap-dev,
                libcurl4-gnutls-dev,
-               libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
                liblua5.3-dev,
                libmaxminddb-dev,
-               libndpi-dev (>= 2.6),
+               libndpi-dev (>= 3.0~),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
@@ -28,7 +27,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                libssl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://salsa.debian.org/debian/ntopng.git
 Vcs-Browser: https://salsa.debian.org/debian/ntopng
@@ -42,7 +41,6 @@
     lsb-base (>= 3.0-6),
     ntopng-data (= ${source:Version}),
     redis-server (>= 2.6),
-Suggests: geoip-database-contrib (>= 1.12)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
  ntopng is the next generation version of the original ntop, a network
  traffic probe that shows the network usage, similar to what the popular
