## ntopng 5.2.1%2Bdfsg1

=== debian/changelog ===
ntopng (5.2.1+dfsg1-2ubuntu1) plucky; urgency=medium

  * d/p/sphinx-fix-intersphinx_mapping.patch: Fix intersphinx_mapping
    to match usage in current sphinx version

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 26 Feb 2025 11:48:09 -0500

ntopng (5.2.1+dfsg1-2build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:48:54 -0500

ntopng (5.2.1+dfsg1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop old lintian override

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    4-6.
  * Wrap long lines in changelog entries: 5.2.1+dfsg1-1.
  * Remove an obsolete maintscript entry.
  * Update standards version to 4.6.1, no changes needed.

  [ Dan Bungert ]
  * Fix FTBFS due to use of deprecated sphinx add_stylesheet (LP: #2051302)
  * Fix FTBFS due to issue in coffeescript (LP: #2051300) (Closes: #1013302)

  [ Chris Hofstaedtler ]
  * Switch Build-Depends: from pkg-config to pkgconf
  * Drop Depends: on obsolete lsb-base
  * Add missing Pre-Depends: ${misc:Pre-Depends}

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Jun 2024 20:23:18 +0200

ntopng (5.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 5.2.1+dfsg1 (Closes: #977805)
  * Refresh patches for new release
  * Update doc files for new release
  * Bump compat level to 13
  * Drop autoconf dependency, already pulled in by new debhelper
  * Drop --systemd switch, automatic now with new compat level
  * Update brokwn symlinks (Closes: #989115)
  * Update copyright years and files for new release.
  * Drop old dbgsym migration code
  * Skip swaggerdoc build and use uglifyjs version 3 instead of node-uglify
    (Closes: #979932)
  * Bump std-version to 4.6.0, no changes required. Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Apr 2022 13:20:09 +0200
