=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: autoconf,
-               automake,
-               coffeescript,
-               debhelper (>= 10.8~),
+Build-Depends: coffeescript,
+               debhelper-compat (= 13),
                default-libmysqlclient-dev,
                doxygen,
                dpkg (>= 1.15.7.2),
@@ -15,30 +13,32 @@
                libjson-c-dev,
                liblua5.3-dev,
                libmaxminddb-dev,
-               libndpi-dev (>= 3.0~),
+               libndpi-dev,
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
                node-source-map,
-               node-uglify,
-               pkg-config,
+               uglifyjs,
+               pkgconf,
                python3-breathe,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                libssl-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://salsa.debian.org/debian/ntopng.git
 Vcs-Browser: https://salsa.debian.org/debian/ntopng
 
 Package: ntopng
 Architecture: any
+Pre-Depends:
+    ${misc:Pre-Depends},
 Depends:
     adduser,
     ${misc:Depends},
     ${shlibs:Depends},
-    lsb-base (>= 3.0-6),
     ntopng-data (= ${source:Version}),
     redis-server (>= 2.6),
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
