=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export PYTHON_SKIP_SWAGGERDOC=1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	./autogen.sh
@@ -17,7 +18,7 @@
 override_dh_auto_build:
 	# Make sure we rebuild the minified files from the upstream tarball.
 	$(MAKE) -C httpdocs/js clean
-	$(MAKE) -C httpdocs/js minify
+	$(MAKE) -C httpdocs/js minify UGLIFY_VERSION=3
 	dh_auto_build
 	mkdir -p debian/generated-code/
 	coffee -c -o debian/generated-code/ debian/missing-sources/gauge.coffee
@@ -29,9 +30,6 @@
 	dh_installdocs -pntopng
 	dh_installdocs -pntopng-data
 	dh_installdocs -pntopng-doc --doc-main-package=ntopng --exclude=fonts
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'
 
 override_dh_install-indep:
 	dh_install --indep \
